Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.audio
Interface MusicPart

All Superinterfaces:
  AudioSpec, ExtendedAudioSpec

All Known Implementing Classes:
  NoteChannelControl, MusicPartControl

public interface MusicPart
extends ExtendedAudioSpec

MusicParts extend the capability of audio control objects as they provide an instrument that will play or render the control information (ie. notes, etc) of that particular part. The analogy is an instrument in an orchestra that plays a particular part in a score.

The NoteChannel is responsible for producing the sound.

In its completeness a MusicPart has a sense of it volume, its balance location in a left-right stereo field and an instrument that is the sound it produces.

See Also:
  `NoteChannel`

Method Summary
`java.lang.String` | `getInstrumentName()` Returns the name of the current instrument for this part.
`NoteChannel` | `getNoteChannel()` This method gets the NoteChannel being controlled by this object.
`void` | `selectInstrument(java.lang.String prompt)` This method allows for the class to allow some selection process whereby the user would choose a particular instrument that will be consequently used by a MusicPart to produce the sounds that it plays.

Methods inherited from interface quicktime.app.audio.ExtendedAudioSpec
`getBalance, setBalance`

Methods inherited from interface quicktime.app.audio.AudioSpec
`getVolume, isMuted, setMuted, setVolume`

Method Detail

### getInstrumentName

    public java.lang.String getInstrumentName()
                                       throws QTException

  Returns the name of the current instrument for this part.
  Returns:
    name of the current instrument for this part

### selectInstrument

    public void selectInstrument(java.lang.String prompt)
                          throws QTException

  This method allows for the class to allow some selection process whereby the user would choose a particular instrument that will be consequently used by a MusicPart to produce the sounds that it plays.
  Parameters:
    `prompt` - - any information that the program wants to display to the user to aid in the selection process.

### getNoteChannel

    public NoteChannel getNoteChannel()
                               throws QTException

  This method gets the NoteChannel being controlled by this object.
  Returns:
    the NoteChannel

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD